KParts::BrowserHostExtension class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::BrowserHostExtension Class Reference

An extension class for container parts, i.e. More...

`#include <browserextension.h>`

Inheritance diagram for KParts::BrowserHostExtension:

[legend]
Collaboration diagram for KParts::BrowserHostExtension:

[legend]
List of all members.

## Public Member Functions
| BrowserHostExtension (KParts::ReadOnlyPart *parent, const char *name=0L)
virtual QStringList | frameNames () const
| Returns a list of the names of all hosted child objects.
virtual const QPtrList< KParts::ReadOnlyPart > | frames () const
| Returns a list of pointers to all hosted child objects.
virtual bool | openURLInFrame (const KURL &url, const KParts::URLArgs &urlArgs)
| Opens the given url in a hosted child frame.
## Static Public Member Functions
BrowserHostExtension * | childObject (QObject *obj)
| Queries `obj` for a child object which inherits from this BrowserHostExtension class.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An extension class for container parts, i.e.

parts that contain other parts. For instance a KHTMLPart hosts one part per frame.

Definition at line 592 of file browserextension.h.

## Member Function Documentation

QStringList BrowserHostExtension::frameNames | ( |  | ) | const`[virtual]`

| Returns a list of the names of all hosted child objects. Note that this method does not query the child objects recursively. Definition at line 561 of file browserextension.cpp.

const QPtrList< KParts::ReadOnlyPart > BrowserHostExtension::frames | ( |  | ) | const`[virtual]`

| Returns a list of pointers to all hosted child objects. Note that this method does not query the child objects recursively. Definition at line 572 of file browserextension.cpp.

bool BrowserHostExtension::openURLInFrame | ( | const KURL & | url,
|  | const KParts::URLArgs & | urlArgs
| ) | `[virtual]`

| Opens the given url in a hosted child frame. The frame name is specified in the frameName variable in the urlArgs argument structure (see KParts::URLArgs ) . Definition at line 578 of file browserextension.cpp.

BrowserHostExtension * BrowserHostExtension::childObject | ( | QObject * | obj | ) | `[static]`

| Queries `obj` for a child object which inherits from this BrowserHostExtension class. Convenience method. Definition at line 583 of file browserextension.cpp. References QObject::children().

The documentation for this class was generated from the following files:

- browserextension.h
- browserextension.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001